package me.unurled.raxen.commands.admin;

import static me.unurled.raxen.utils.Utils.colorTextComp;
import static me.unurled.raxen.utils.Utils.log;

import java.util.List;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabExecutor;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public class TestGuiCommand implements TabExecutor {

  @Override
  public boolean onCommand(
    @NotNull CommandSender sender,
    @NotNull Command command,
    @NotNull String label,
    @NotNull String[] args
  ) {
    if (sender instanceof Player) {
      Player player = (Player) sender;
      if (player.hasPermission("raxen.test.gui.cmd")) {
        player.openInventory(
          Bukkit.createInventory(null, 54, colorTextComp(args[0]))
        );
      }
    } else {
      log("The console can't execute this Command!");
      return true;
    }
    return false;
  }

  @Override
  public @Nullable List<String> onTabComplete(
    @NotNull CommandSender sender,
    @NotNull Command command,
    @NotNull String alias,
    @NotNull String[] args
  ) {
    return null;
  }
}
