package me.unurled.raxen.components.entity.other.custom.dungeon.forest;

import lombok.Getter;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.entity.other.RaxenEntity;
import org.bukkit.Location;
import org.bukkit.entity.Entity;
import org.bukkit.entity.EntityType;

public class Wolf extends RaxenEntity {

  @Getter
  private final String name;

  public Wolf(
    Raxen main,
    String name,
    Integer level,
    Double health,
    Double strength
  ) {
    super(main, name, level, health, strength);
    this.name = name;
  }

  public Wolf(Raxen main) {
    super(main, "Wolf", 5, 100.0, 20.0);
    this.name = "Wolf";
  }

  @Override
  public Entity createEntity(Location location) {
    return super.createEntity(EntityType.WOLF, name, location);
  }
}
