package me.unurled.raxen.components.items.custom.weapon;

import static me.unurled.raxen.utils.Utils.colorTextComp;

import de.tr7zw.nbtapi.NBTItem;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;
import me.unurled.raxen.components.items.NBT;
import me.unurled.raxen.components.items.custom.Item;
import me.unurled.raxen.components.items.custom.ItemClass;
import me.unurled.raxen.components.items.custom.ItemTypes;
import net.kyori.adventure.text.Component;
import org.bukkit.Material;
import org.bukkit.enchantments.Enchantment;
import org.bukkit.inventory.ItemFlag;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

public class Dagger extends Item {

  @Getter
  ItemStack item;

  String NAME = "Dager";
  String ID = "DAGER";

  ItemClass ITEM_CLASS = ItemClass.F;
  ItemTypes ITEM_TYPES = ItemTypes.WEAPON;

  public ItemStack buildItem() {
    item = new ItemStack(Material.IRON_SWORD);
    ItemMeta itm = item.getItemMeta();
    itm.displayName(colorTextComp("<aqua>" + this.NAME));
    itm.addEnchant(Enchantment.PROTECTION_ENVIRONMENTAL, 1, false);
    itm.addItemFlags(ItemFlag.HIDE_ATTRIBUTES, ItemFlag.HIDE_ENCHANTS);
    itm.setUnbreakable(true);
    List<Component> lore = new ArrayList<>();
    lore.add(Component.text("hallooo"));
    itm.lore(lore);
    item.setItemMeta(itm);
    NBTItem nbti = new NBTItem(item);
    nbti.setString(NBT.ID, ID);
    nbti.setInteger(NBT.SPEED, 100);
    nbti.setInteger(NBT.STRENGTH, 50);
    nbti.setString(NBT.CUSTOM_ABILITY, "throwing_dager");
    nbti.setDouble(NBT.DROP_RATE, 50.0);
    item = nbti.getItem();
    return item;
  }
}
