package me.unurled.raxen.commands.admin;

import static me.unurled.raxen.utils.Utils.*;

import java.util.List;
import me.unurled.raxen.utils.Reload;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabExecutor;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public class ReloadCommand implements TabExecutor {

  @Override
  public boolean onCommand(
    @NotNull CommandSender sender,
    @NotNull Command command,
    @NotNull String msg,
    @NotNull String[] args
  ) {
    if (sender instanceof Player) {
      Player player = (Player) sender;
      if (!player.hasPermission("raxen.reload.cmd")) {
        player.sendMessage(noPerms());
        return true;
      }
    }
    Reload.kickAll();
    log(
      colorString(
        "<red>Server stopping!\n Using: /rlpl.\n Please wait a little bit."
      )
    );
    Bukkit.getServer().shutdown();
    return false;
  }

  @Override
  public @Nullable List<String> onTabComplete(
    @NotNull CommandSender sender,
    @NotNull Command command,
    @NotNull String alias,
    @NotNull String[] args
  ) {
    return null;
  }
}
